TTF_GetTextProperties(3)

NAME
TTF_GetTextProperties - Get the properties associated with a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

SDL_PropertiesID TTF_GetTextProperties(TTF_Text *text);

FUNCTION PARAMETERS

text
    the TTF_Text
     to query.

RETURN VALUE
Returns a valid property ID on success or 0 on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.